Dpkg::Deps::Union(3perl)

NAME
Dpkg::Deps::Union - list of unrelated dependencies

DESCRIPTION
This class represents a list of relationships. It inherits from Dpkg::Deps::Multiple.

METHODS

$dep->output([$fh])
    The output method uses ", " to join the list of relationships.

$dep->implies($other_dep)
$dep->get_evaluation($other_dep)
    These methods are not meaningful for this object and always return undef.

$dep->simplify_deps($facts)
    The simplification is done to generate an union of all the relationships. It uses $simple_dep->merge_union($other_dep) to get its job done.

CHANGES

  Version 1.00 (dpkg 1.15.6)
Mark the module as public.